VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
Public Attributes | List of all members
WindowConfiguration Struct Reference
Standalone Library

Window configuration. More...

`#include <iwindow.h>`

## Public Attributes
WindowType | type {WindowType::Document}
| Type of window.
WindowStyle | style
| Window style.
CPoint | size
| Initial window size.
UTF8String | title
| Window title.
UTF8String | autoSaveFrameName
| Window save frame name.
UTF8String | groupIdentifier
| Window group identifier [optional].

## Detailed Description

Window configuration.

## Member Data Documentation

## ◆ autoSaveFrameName

UTF8String autoSaveFrameName

Window save frame name.

## ◆ groupIdentifier

UTF8String groupIdentifier

Window group identifier [optional].

Windows with the same group identifier can be grouped together on some platforms like on macOS to tabs in a single window

## ◆ size

CPoint size

Initial window size.

## ◆ style

WindowStyle style

Window style.

## ◆ title

UTF8String title

Window title.

## ◆ type

WindowType type {WindowType::Document}

Type of window.

The documentation for this struct was generated from the following file:

- iwindow.h